Skip to contentSkip to page list

Docs

Get the registry as an ARD manifest

The organisation's active agents, the 1,000 changed most recently, as an Agentic Resource Discovery (ARD v0.91) manifest. Each entry has a urn:air:<host>:<organization id>:agent:<id> identifier, type application/agent-card+json and the registry entry inline as data.

GET/api/v1/governance/registry/ard.json
Request and response examples
request.py
import osimport requests​origin = "https://app.langwatch.ai"path = "/api/v1/governance/registry/ard.json"api_key = os.environ["LANGWATCH_API_KEY"]headers = {    "Authorization": "Bearer " + api_key,}​response = requests.get(    origin + path,    headers=headers,)print(response.json())

Success

application/json · Generated from schema

{  "specVersion": "0.91",  "publisher": "string",  "updatedAt": "string",  "entries": [    {      "@context": "https://agenticresourcediscovery.org/context/v1",      "identifier": "string",      "displayName": "string",      "type": "application/agent-card+json",      "description": "string",      "version": "string",      "updatedAt": "string",      "tags": [        "string"      ],      "capabilities": [        "string"      ],      "data": {        "id": "string",        "source": "langwatch",        "management": "managed",        "kind": "string",        "name": "string",        "description": "string",        "status": "active",        "shadow": false,        "version": 0,        "source_version": "string",        "project_id": "string",        "environment": "string",        "owner": {          "user_id": null,          "name": null        },        "endpoints": [          {            "kind": null,            "url": null,            "protocol": null          }        ],        "model": {          "provider": null,          "model": null,          "parameters": null        },        "instructions": "string",        "capabilities": [          "string"        ],        "tools": [          {            "name": null,            "description": null,            "input_schema": null,            "output_schema": null,            "status": null,            "deprecated_in_version": null,            "deprecated_at": null          }        ],        "first_seen_at": "string",        "last_seen_at": "string",        "updated_at": "string",        "removed_at": "string"      },      "metadata": {}    }  ]}
api-reference/governance-agent-registry/get-the-registry-as-an-ard-manifest

Authorization

Authorizationstringheaderrequired

Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.

Responses

200

Success

application/json

specVersionstringrequired
Always"0.91"
publisherstringrequired
updatedAtstringrequired
entriesobject[]required
@contextstringrequired
Always"https://agenticresourcediscovery.org/context/v1"
identifierstringrequired
displayNamestringrequired
typestringrequired
Always"application/agent-card+json"
descriptionstring
versionstringrequired
updatedAtstringrequired
tagsstring[]required
capabilitiesstring[]required
dataobjectrequired
metadataobjectrequired
400

Bad Request

application/json

typestringrequired
codestringrequired
messagestringrequired
retryablebooleanrequired
metaobject
trace_idstring
span_idstring
traceobject
traceIdstring
spanIdstring
traceUrlstring
logsUrlstring
tipsstring[]
docs_urlstring
faultstring
One of"customer""platform""provider""presumed_platform"
reasonsany[]
401

Unauthorized

application/json

typestringrequired
codestringrequired
messagestringrequired
retryablebooleanrequired
metaobject
trace_idstring
span_idstring
traceobject
traceIdstring
spanIdstring
traceUrlstring
logsUrlstring
tipsstring[]
docs_urlstring
faultstring
One of"customer""platform""provider""presumed_platform"
reasonsany[]
403

Forbidden

application/json

typestringrequired
codestringrequired
messagestringrequired
retryablebooleanrequired
metaobject
trace_idstring
span_idstring
traceobject
traceIdstring
spanIdstring
traceUrlstring
logsUrlstring
tipsstring[]
docs_urlstring
faultstring
One of"customer""platform""provider""presumed_platform"
reasonsany[]
500

Internal Server Error

application/json

typestringrequired
codestringrequired
messagestringrequired
retryablebooleanrequired
metaobject
trace_idstring
span_idstring
traceobject
traceIdstring
spanIdstring
traceUrlstring
logsUrlstring
tipsstring[]
docs_urlstring
faultstring
One of"customer""platform""provider""presumed_platform"
reasonsany[]

Documentation